require 'valabn/lookup'

class Valabn
  # Instance methods
  def initialize(number)
    @number = number.to_s.gsub(/\W/, '')
  end

  def exists?(options = {})
    res = Valabn::Lookup.validate(@number, options)

    if res.any? && res[:search_by_ab_nv201408_response][:abr_payload_search_results][:response].keys.include?(:business_entity201408)
      options[:detail] == true ? res : true
    elsif !res.nil?
      options[:detail] == true ? res : false
    else
      nil
    end
  end
end
